/* step4 リンゴ（林檎）の落下 　*/
#include "dm4.h"

dWorldID world;                     // 動力学の世界
dBodyID  apple;                     // リンゴ
dReal    r = 0.2, m = 1.0;          // リンゴの半径,質量

void simLoop(int pause)           /***  シミュレーションループ　***/
{
  dWorldStep(world,0.01);        // シミュレーションを1ステップ進める

  dsSetColor(1.0,0.0,0.0);                    // 赤色の設定(r,g,b)
  const double *p = dBodyGetPosition(apple);  // リンゴの位置を取得
  const double *R = dBodyGetRotation(apple);  // リンゴの姿勢を取得
  dsDrawSphere(p,R,r);                        // リンゴの描画
}

int main()         /*** main関数 ***/
{
	dInitODE();                              // ODEの初期化
  world = dWorldCreate();                  // 世界の創造
  dWorldSetGravity(world,0,0,-0.2);        // 重力設定

  apple = dBodyCreate(world);              // ボールの生成

  dMass mass;                              // 構造体massの宣言
  dMassSetZero(&mass);                     // 構造体massの初期化
  dMassSetSphereTotal(&mass,m,r);          // 構造体massに質量を設定
  dBodySetMass(apple,&mass);               // ボールにmassを設定

  dBodySetPosition(apple, 0.0, 0.0, 2.0);  // ボールの位置(x,y,z)を設定
  dmLoop(800, 600);                   // シミュレーションループ ウインドウの幅，高

	dWorldDestroy(world);                    // 世界の破壊
	dCloseODE();                             // ODEの終了
  return 0;
}




